﻿using System.Collections;
using UnityEngine;
using UnityEngine.InputSystem;

public class PlayerControl : MonoBehaviour
{
    public CharacterController control;

    public float speed = 10;

    public Vector3 currentMovement;

    public void OnMove(InputAction.CallbackContext context)
    {
        Vector2 rawMove = context.ReadValue<Vector2>();
        currentMovement = new Vector3(rawMove.x, 0, rawMove.y) * speed;
    }

    public void OnLook(InputAction.CallbackContext context)
    {

    }

    private void FixedUpdate()
    {
        control.Move(currentMovement);
    }
}